Status: Closed Start date: 2009-06-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

When I do a search to check if a feature has already been suggested, it would be very useful to be able to limit the search to the

Feature tracker only, but search rejected issues as well.

Suggested implementation: make the search use the very same issue list as the normal issue list, I will then have the whole array of

other filtering options at my disposal.

Alternative: make it possible to "search in listed issues", so that I can set up a filter first, and then search within it.

At present checking for previous suggestions is dominated by Help issues and omits anything that had been rejected.

Related issues:

Related to Redmine - Feature #10734: Search on Open or Closed Issues Closed

Related to Redmine - Feature #38402: "Any searchable text" filter for issues Closed

History

#1 - 2013-03-18 15:40 - Dipan Mehta

It is a very common problem for most places, that users keep asking same requests. May be not that much of a problem in corporate environment -

but when end users are everywhere.

Take a look at a very intersting plugin Did you mean?

#2 - 2013-03-18 16:14 - Daniel Felix

Yes, this could be solved by "DidYouMean?", but more overall this is also a request regarding a better Redmine search. Which could be really

improved. The current search is not the best as we can get. The most of the search modules is good, but the issue search is not really good, as there

is no way to filter closed or new issues out.

This would be great if this could be improved!

#3 - 2023-04-02 16:30 - Go MAEDA

- Related to Feature #38402: "Any searchable text" filter for issues added

#4 - 2023-04-09 13:50 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Roman Starkov wrote:

Suggested implementation: make the search use the very same issue list as the normal issue list, I will then have the whole array of other

filtering options at my disposal.

 This feature has been implemented in #38402 for the upcoming Redmine 5.1.0. The new issues filter "Any searchable text" returns the same result as

the search engine. Therefore, you will be able to use issues filters with the search engine in Redmine 5.1.0.
